import { Module } from 'vuex';
import routes from './routes';
import { FG_Plugin } from 'src/plugins';
import { defineAsyncComponent } from 'vue';
import { StateInterface } from 'src/store';
import balance, { BalanceInterface } from './store/balance';

const plugin: FG_Plugin.Plugin = {
  name: 'Balance',
  mainRoutes: routes,
  requiredModules: ['User'],
  requiredBackendModules: ['balance'],
  version: '0.0.1',
  store: new Map<string, Module<BalanceInterface, StateInterface>>([['balance', balance]]),
  widgets: [
    {
      priority: 0,
      name: 'current',
      permissions: ['balance_show'],
      widget: defineAsyncComponent(() => import('./components/Widget.vue')),
    },
  ],
};

export default plugin;
